com.amazonaws.codegen.model.intermediate

## Class MapModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.MapModel

    public class MapModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MapModel(String implType, String interfaceType, String mapKeyType, String keyLocationName, MemberModel keyModel, String mapValueType, String valueLocationName, MemberModel valueModel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEntryType()`
`String` `getImplType()`
`String` `getInterfaceType()`
`String` `getKeyLocationName()`
`MemberModel` `getKeyModel()`
`String` `getKeyType()`
`String` `getTemplateImplType()`
`String` `getTemplateType()`
`String` `getValueLocationName()`
`MemberModel` `getValueModel()`
`String` `getValueType()`
`boolean` `isKeySimple()`
`boolean` `isValueList()`
`boolean` `isValueSimple()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapModel

    public MapModel(String implType,
                    String interfaceType,
                    String mapKeyType,
                    String keyLocationName,
                    MemberModel keyModel,
                    String mapValueType,
                    String valueLocationName,
                    MemberModel valueModel)

### Method Detail

#### getImplType

    public String getImplType()

#### getInterfaceType

    public String getInterfaceType()

#### getKeyType

    public String getKeyType()

#### getKeyLocationName

    public String getKeyLocationName()

#### getKeyModel

    public MemberModel getKeyModel()

#### getValueType

    public String getValueType()

#### getValueLocationName

    public String getValueLocationName()

#### getValueModel

    public MemberModel getValueModel()

#### isKeySimple

    public boolean isKeySimple()

#### isValueSimple

    public boolean isValueSimple()

#### isValueList

    public boolean isValueList()

#### getTemplateType

    public String getTemplateType()

#### getTemplateImplType

    public String getTemplateImplType()

#### getEntryType

    public String getEntryType()